For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
AI Hub
OverviewApp editorFlow editorAdminAPI & SDK
OverviewApp editorFlow editorAdminAPI & SDK
  • Overview
    • Using the API and SDK
    • Authorization
    • Response statuses
  • API & SDK guides
    • Run automation apps by SDK
  • API reference
      • POSTCreate batch
      • GETList batches
      • GETGet batch information
      • DELDelete batch
      • PUTUpload file to batch
      • GETList files in a batch
      • DELDelete file from batch
      • GETPoll batches job
      • POSTStart multipart upload session
      • PUTUpload part to multipart session
      • POSTCommit or abort multipart session
  • Legacy APIs
    • Job status
    • Run apps
    • Run results
    • Mount
AI Hub
API referenceBatches

Delete file from batch

DELETE
https://aihub.instabase.com/api/v2/batches/:batch_id/files/:filename
DELETE
/api/v2/batches/:batch_id/files/:filename
$curl -X DELETE "${API_ROOT}/v2/batches/<BATCH-ID>/files/<FILENAME>" \
> -H "Authorization: Bearer ${API_TOKEN}" \
> -H "IB-Context: ${IB_CONTEXT}"
1{}
Delete a file from a batch.
Was this page helpful?
Previous

Poll batches job

Next
Built with

Authentication

AuthorizationBearer
Bearer HTTP authentication.

Path parameters

batch_idintegerRequired
The batch ID.
filenamestringRequired
The name of the file.

Headers

IB-ContextstringOptional

Typically your organization ID. See Authorization and context identification for details.

Response

File deletion request accepted. Poll the deletion job for completion status.

Errors

404
Not Found Error